package org.jboss.portletbridge;

import junit.framework.TestCase;

public class ExcludedRequestAttributeTest extends TestCase {

	protected void setUp() throws Exception {
		super.setUp();
	}

	protected void tearDown() throws Exception {
		super.tearDown();
	}
	
	public void testExactMatch() throws Exception {
		ExcludedRequestAttribute matcher = new ExcludedRequestAttribute("foo.Bar");
		assertTrue(matcher.match("foo.Bar"));
		assertFalse(matcher.match("foo"));
		assertFalse(matcher.match("foo.Bar.Baz"));
	}
	public void testNamespaceMatch() throws Exception {
		ExcludedRequestAttribute matcher = new ExcludedRequestAttribute("foo.bar.*");
		assertTrue(matcher.match("foo.bar.Baz"));
		assertFalse(matcher.match("foo.Baz"));
		assertFalse(matcher.match("foo.bar."));
		assertFalse(matcher.match("foo.bar.baz.Boo"));
	}

}
