import javax.faces.application.FacesMessage;
import javax.faces.application.FacesMessage.Severity;
import javax.faces.context.FacesContext;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 * 
 */

/**
 * @author asmirnov
 *
 */
public class JAASBean {

	public String getAuth() {
		try {
			InitialContext ic = new InitialContext();
			Object portalSecurity = ic.lookup("java:jaas/portal");
			return null==""?"null":portalSecurity.getClass().getName()+" "+portalSecurity.toString();
		} catch (NamingException e) {
			FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR,e.getMessage(),e.getLocalizedMessage()));
			return "ERROR: "+e.getMessage();
		}
	}
}
