
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;

public class OfferTestBean implements Serializable {
	private static final long serialVersionUID = 5540261377446037757L;
	private List<Offer> offerList;
	private List<Offer> selectedOfferList;
	private Offer selectedOffer;
	private Offer selectedItemToRemove;
	private Integer selectedQty;
	
	public Integer getSelectedQty() {
		if (selectedOfferList != null){
			selectedQty = selectedOfferList.size();
		}
		return selectedQty;
	}
	public void setSelectedQty(Integer selectedQty) {
		this.selectedQty = selectedQty;
	}
	public OfferTestBean(){
	}
	public Offer getSelectedItemToRemove() {
		return selectedItemToRemove;
	}

	public void setSelectedItemToRemove(Offer selectedItemToRemove) {
		this.selectedItemToRemove = selectedItemToRemove;
	}

	public List<Offer> getSelectedOfferList() {
		return selectedOfferList;
	}

	public void setSelectedOfferList(List<Offer> selectedOfferList) {
		this.selectedOfferList = selectedOfferList;
	}

	public List<Offer> getOfferList() {
		return offerList;
	}

	public void setOfferList(List<Offer> offerList) {
		this.offerList = offerList;
	}

	public Offer getSelectedOffer() {
		return selectedOffer;
	}

	public void setSelectedOffer(Offer selectedOffer) {
		this.selectedOffer = selectedOffer;
	}

	@PostConstruct
	public void init() {
		offerList = new ArrayList<Offer>();
		for(int i=0; i <5; i++){
			Offer offer = new Offer();
			offer.setOfferId(i+1);
			offer.setOfferName("Offer" +i +1);
			offer.setOfferDesc("Offer"+i +1 + " desc");
			offerList.add(offer);
		}
	}
	public String updateSelectedList(){
		String retVal = null;
		if (selectedOfferList == null ){
			selectedOfferList = new ArrayList<Offer>();
		}
		if (selectedOffer != null){
			selectedOfferList.add(selectedOffer);
		}
		return retVal;
	}
	public String removeFromOfferList(){
		if (selectedItemToRemove != null && selectedOfferList != null){
			if (selectedOfferList.contains(selectedItemToRemove)){
				selectedOfferList.remove(selectedItemToRemove);
			}
		}
		return null;
	}
	public String checkout(){
		return null;
	}
}
