/**
 * 
 */
package org.jboss.portletbridge.example.seam;

import java.io.Serializable;

import javax.faces.FacesException;
import javax.faces.application.ViewExpiredException;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

/**
 * @author asmirnov
 *
 */
@Name("stressBean") @Scope(ScopeType.SESSION)
public class StressBean implements Serializable {
	
	private int counter;

	public int getCounter() {
		return counter;
	}

	public void setCounter(int counter) {
		this.counter = counter;
	}

	public String next() {
		counter++;
		return null;
	}
   public String error() throws ApplicationException {
		throw new ApplicationException("Test exception");
	}

   public String viewExpired() throws FacesException {
		throw new ViewExpiredException("Simulated viewExpiredException","/pages/stress.xhtml");
	}

   public String getErrorProperty()throws ApplicationException {
		throw new ApplicationException("Test exception");
	}
}
